Modul chart perl

Dieses Thema im Forum "Ruby, php, Perl, Python ..." wurde erstellt von aktivfrühstück, 20.09.2007.

  1. #1 aktivfrühstück, 20.09.2007
    aktivfrühstück

    aktivfrühstück Eroberer

    Dabei seit:
    19.03.2007
    Beiträge:
    66
    Zustimmungen:
    0
    Hey ich mal wieder:)

    ich will das Modul chart installieren für Perl... laut Anweisung benötigt man chart.pm und gd.pm

    chart.pm hab ich geddownloaded und funzt auch.
    aber für gd.pm benötigt man ein Haufen andere Unterprogramme.
    Bei aufrufen des Befehls make wird man freundlicherweise drauf hingewiesen, welche Dateien fehlen(zb. -lfreetyp und -ljpeg)

    So, Freetype hab ich besorgt installiert und das wird auch anerkannt. Der Hinweis bei Ausführung von make (gd) verschwindet.
    Ich habe auch die JPEG Library installiert wie beschrieben (mit Erfolg, keine Fehler) dennoch kommt jedesmal bei Ausführung von make folgender Fehler:

    Code:
    
    inux-bo0h:/home/kuhnt/Desktop/gd/GD-2.35 # make test
    rm -f blib/arch/auto/GD/GD.so
    LD_RUN_PATH="/usr/local/lib:/usr/lib" cc -shared GD.o -o blib/arch/auto/GD/GD.so \
    -L/usr/lib/X11 -L/usr/X11R6/lib -L/usr/lib -lgd -lfreetype -ljpeg -lpng -lz -lm -lX11 -lXpm
    \
    
    /usr/lib/gcc/i586-suse-linux/4.1.2/../../../../i586-suse-linux/bin/ld: cannot
    find -ljpeg
    collect2: ld returned 1 exit status
    make: *** [blib/arch/auto/GD/GD.so] Fehler 1
    
    
    zum Haare rausreißen wieder hier...:(
     
  2. Anzeige

    Schau dir mal diese Kategorie an. Dort findest du bestimmt etwas.
    Registrieren bzw. einloggen, um diese und auch andere Anzeigen zu deaktivieren
  3. #2 bitmuncher, 20.09.2007
    bitmuncher

    bitmuncher Der Stillgelegte

    Dabei seit:
    08.05.2007
    Beiträge:
    3.171
    Zustimmungen:
    0
    Was sagt 'rpm -qa | grep jpeg'?
     
  4. #3 aktivfrühstück, 20.09.2007
    aktivfrühstück

    aktivfrühstück Eroberer

    Dabei seit:
    19.03.2007
    Beiträge:
    66
    Zustimmungen:
    0
    das findet er:

    libjpeg-6.2.0-771
    jpeg-6b-771
     
  5. #4 bitmuncher, 20.09.2007
    bitmuncher

    bitmuncher Der Stillgelegte

    Dabei seit:
    08.05.2007
    Beiträge:
    3.171
    Zustimmungen:
    0
    Dir fehlen die passenden devel-Pakete., also libjpeg-devel-6.2.0-771 bzw. jpeg-devel-6b-771. Wobei nur ersteres hier relevant sein duerfte.
     
  6. #5 aktivfrühstück, 20.09.2007
    aktivfrühstück

    aktivfrühstück Eroberer

    Dabei seit:
    19.03.2007
    Beiträge:
    66
    Zustimmungen:
    0
    ich finde immer nur .rpm PAkte vom libjpeg-devel und die installiert der bei mir nicht:(
     
  7. #6 bitmuncher, 20.09.2007
    bitmuncher

    bitmuncher Der Stillgelegte

    Dabei seit:
    08.05.2007
    Beiträge:
    3.171
    Zustimmungen:
    0
    Was heisst 'die installiert er nicht richtig' und wo findest du die? Fehlermeldung?
     
  8. #7 aktivfrühstück, 20.09.2007
    aktivfrühstück

    aktivfrühstück Eroberer

    Dabei seit:
    19.03.2007
    Beiträge:
    66
    Zustimmungen:
    0
    wow jetz gehts, jetz fehlt das nnächste grrrrr:))
    also ich habe die rpm. datei immer direkt angelickt, und dann hat sich das installationsfenster geöffnet...das ging aber irgendwie nich weiter, habs jetz direkt in der konsole gemacht und siehe da...:)

    so jetz such ich ma noch fix das -lpng paket:)
     
  9. #8 bitmuncher, 20.09.2007
    bitmuncher

    bitmuncher Der Stillgelegte

    Dabei seit:
    08.05.2007
    Beiträge:
    3.171
    Zustimmungen:
    0
    libpng-devel ;)
     
  10. #9 aktivfrühstück, 20.09.2007
    aktivfrühstück

    aktivfrühstück Eroberer

    Dabei seit:
    19.03.2007
    Beiträge:
    66
    Zustimmungen:
    0
    Soi nun scheints installiert zu sein.
    Gibt es eine Möglichkeit zu prüfen ob das chart modul nun funktioniert?
     
  11. #10 bitmuncher, 20.09.2007
    bitmuncher

    bitmuncher Der Stillgelegte

    Dabei seit:
    08.05.2007
    Beiträge:
    3.171
    Zustimmungen:
    0
    Mach dir einfach ein kleines Test-Skript, in dem du es nutzt. Wenn es nicht funktioniert, bekommst du beim 'use' einen Fehler. Alternativ findest du in der CPAN-FAQ auch ein Skript, mit dem du dir die installierten Module anzeigen lassen kannst.
     
  12. Anzeige

    Vielleicht findest du HIER Antworten.
    Registrieren bzw. einloggen, um diese und auch andere Anzeigen zu deaktivieren
  13. #11 aktivfrühstück, 20.09.2007
    Zuletzt bearbeitet: 20.09.2007
    aktivfrühstück

    aktivfrühstück Eroberer

    Dabei seit:
    19.03.2007
    Beiträge:
    66
    Zustimmungen:
    0
    soi habe nun einfach

    use Chart::Composite;

    in eine perl datei geschrieben und siehe da, keine Fehlermeldung:):)

    Sehr schön! ich danke dir für deine Gedult:)
    .
    .
    .
    EDIT (autom. Beitragszusammenführung) :
    .

    Hm ich nochma kurz;)

    also habe jetzt ein kleines Testskript abgeschrieben. Wenn ich es starte kommt folgende Fehlermeldung:
    Habe ich doch noche ein Paket vergessen zu installieren?


    so sieht das Skript aus:

     
  14. #12 bitmuncher, 20.09.2007
    bitmuncher

    bitmuncher Der Stillgelegte

    Dabei seit:
    08.05.2007
    Beiträge:
    3.171
    Zustimmungen:
    0
    Ich kenne dieses Modul nicht, aber Google wirft zu der Fehlermeldung einiges aus (z.B. GD::Image laden usw.).
     
Thema:

Modul chart perl

Die Seite wird geladen...

Modul chart perl - Ähnliche Themen

  1. Raspberry Pi: Neues Kamera-Modul verfügbar

    Raspberry Pi: Neues Kamera-Modul verfügbar: Fast drei Jahre nach der ersten Vorstellung eines Kameramoduls für den Kleinstrechner Raspberry Pi liefert die hinter dem Gerät stehende...
  2. Fedora möchte die Distribution weiter modularisieren

    Fedora möchte die Distribution weiter modularisieren: Die von Red Hat gesponsorte Distribution Fedora möchte ihre Infrastruktur modularer gestalten. Dazu hat sich eine Arbeitsgruppe gebildet....
  3. Git 2.8 unterstützt paralleles Laden von Submodulen

    Git 2.8 unterstützt paralleles Laden von Submodulen: Mit der Freigabe von Git 2.8.0 haben die Entwickler das Quellcode-Verwaltungssystem um diverse neue Funktionen ergänzt. Die wohl prominenteste...
  4. Pangea Sun: Modulares Notebook sucht Unterstützer

    Pangea Sun: Modulares Notebook sucht Unterstützer: Eine Kampagne auf Indiegogo versucht, 600.000 US-Dollar zu sammeln, um ein modulares, offenes und damit nachhaltigeres Notebook zu entwickeln. Das...
  5. SFC hält Auslieferung von binären ZFS-Modulen für GPL-Verletzung

    SFC hält Auslieferung von binären ZFS-Modulen für GPL-Verletzung: Die Software Freedom Conservancy hält Canonicals Plan, das Dateisystem ZFS als binäres Modul ab Ubuntu 16.04 mitzuliefern, für eine...